audience.contact.import
curl --request POST \
--url https://platform.trylath.com/audience/contact/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"email": "jsmith@example.com",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"consentSource": "<string>",
"consentWording": "<string>"
}
],
"attestation": "<string>",
"topics": [
"<string>"
],
"channel": "email"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
email: 'jsmith@example.com',
phone: '<string>',
locale: '<string>',
properties: {},
consentSource: '<string>',
consentWording: '<string>'
}
],
attestation: '<string>',
topics: ['<string>'],
channel: 'email'
})
};
fetch('https://platform.trylath.com/audience/contact/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/contact/import"
payload = {
"rows": [
{
"email": "jsmith@example.com",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"consentSource": "<string>",
"consentWording": "<string>"
}
],
"attestation": "<string>",
"topics": ["<string>"],
"channel": "email"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/contact/import"
payload := strings.NewReader("{\n \"rows\": [\n {\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"locale\": \"<string>\",\n \"properties\": {},\n \"consentSource\": \"<string>\",\n \"consentWording\": \"<string>\"\n }\n ],\n \"attestation\": \"<string>\",\n \"topics\": [\n \"<string>\"\n ],\n \"channel\": \"email\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"created": 0,
"updated": 0,
"withoutConsent": 0,
"skipped": [
{
"row": 0,
"reason": "<string>"
}
],
"total": 0
}
}audience.contact.import
Imports up to 1,000 contacts, merging by email or phone. A row grants marketing consent only if it carries a consentSource or the batch carries an attestation; rows with neither import without consent and are counted. Purchased or scraped lists are prohibited.
POST
/
audience
/
contact
/
import
audience.contact.import
curl --request POST \
--url https://platform.trylath.com/audience/contact/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rows": [
{
"email": "jsmith@example.com",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"consentSource": "<string>",
"consentWording": "<string>"
}
],
"attestation": "<string>",
"topics": [
"<string>"
],
"channel": "email"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rows: [
{
email: 'jsmith@example.com',
phone: '<string>',
locale: '<string>',
properties: {},
consentSource: '<string>',
consentWording: '<string>'
}
],
attestation: '<string>',
topics: ['<string>'],
channel: 'email'
})
};
fetch('https://platform.trylath.com/audience/contact/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://platform.trylath.com/audience/contact/import"
payload = {
"rows": [
{
"email": "jsmith@example.com",
"phone": "<string>",
"locale": "<string>",
"properties": {},
"consentSource": "<string>",
"consentWording": "<string>"
}
],
"attestation": "<string>",
"topics": ["<string>"],
"channel": "email"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.trylath.com/audience/contact/import"
payload := strings.NewReader("{\n \"rows\": [\n {\n \"email\": \"jsmith@example.com\",\n \"phone\": \"<string>\",\n \"locale\": \"<string>\",\n \"properties\": {},\n \"consentSource\": \"<string>\",\n \"consentWording\": \"<string>\"\n }\n ],\n \"attestation\": \"<string>\",\n \"topics\": [\n \"<string>\"\n ],\n \"channel\": \"email\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"activityId": "<string>",
"result": {
"created": 0,
"updated": 0,
"withoutConsent": 0,
"skipped": [
{
"row": 0,
"reason": "<string>"
}
],
"total": 0
}
}Authorizations
A Lath API key: lath_live_sk… or lath_test_sk… on a server, lath_live_pk… or lath_test_pk… in a browser.
Headers
Replays the stored response for the same key and input; refuses different input.
Body
application/json
Last modified on September 13, 2026
Was this page helpful?

